package com.ruoyi.plant.service;

import java.util.List;
import com.ruoyi.plant.domain.TCanteenCard;

/**
 * 员工卡管理Service接口
 * 
 * @author ruoyi
 * @date 2025-04-22
 */
public interface ITCanteenCardService 
{
    /**
     * 查询员工卡管理
     * 
     * @param cardId 员工卡管理主键
     * @return 员工卡管理
     */
    public TCanteenCard selectTCanteenCardByCardId(Long cardId);

    /**
     * 查询员工卡管理列表
     * 
     * @param tCanteenCard 员工卡管理
     * @return 员工卡管理集合
     */
    public List<TCanteenCard> selectTCanteenCardList(TCanteenCard tCanteenCard);

    /**
     * 新增员工卡管理
     * 
     * @param tCanteenCard 员工卡管理
     * @return 结果
     */
    public int insertTCanteenCard(TCanteenCard tCanteenCard);

    /**
     * 修改员工卡管理
     * 
     * @param tCanteenCard 员工卡管理
     * @return 结果
     */
    public int updateTCanteenCard(TCanteenCard tCanteenCard);

    /**
     * 批量删除员工卡管理
     * 
     * @param cardIds 需要删除的员工卡管理主键集合
     * @return 结果
     */
    public int deleteTCanteenCardByCardIds(Long[] cardIds);

    /**
     * 删除员工卡管理信息
     * 
     * @param cardId 员工卡管理主键
     * @return 结果
     */
    public int deleteTCanteenCardByCardId(Long cardId);
}
